AnsweredAssumed Answered

How can I change PDFBOX's version ?

Question asked by magellank2 on Jun 10, 2010
Latest reply on Sep 23, 2010 by cfe
Alfresco : 3.3 Community Edition
OS : W2003 Server

Hello,

When I try to add huge PDF files in Alfresco, I have an error message in the TOMCAT console :

ERROR [pdfbox.filter.FlateFilter] Stop reading corrupt stream

My files are not completly indexed.

I read on forums that this can happen when using  pdfbox-0.8.0-incubating and the best to solve this problem is to use the latest version (1.1.0).

I've downloaded the latest version of PDFBOX and replaced the old version by this one (remove the 0.8.0 jar file and place the 1.1.0 jar file in the same folder).

No error when starting Alfresco but the indexation process is no longer working :-(

May be I have to modify some config files to indicate that I want to use the 1.1.0 version but wich ones ???


Thanks for your help.

Outcomes